=== debian/changelog ===
vdr-plugin-xineliboutput (1.1.0+cvs20150907-3) unstable; urgency=medium

  * Fixed Vcs-Git
  * Disable po update to get a reproducible build

 -- Tobias Grimm <etobi@debian.org>  Sat, 10 Oct 2015 12:32:15 +0200

vdr-plugin-xineliboutput (1.1.0+cvs20150907-2) unstable; urgency=medium

  * Fixed installation of *.mo translations

 -- Tobias Grimm <etobi@debian.org>  Sat, 26 Sep 2015 23:22:12 +0200

vdr-plugin-xineliboutput (1.1.0+cvs20150907-1) unstable; urgency=medium

  * New Upstream Snapshot
  * Fixed get-vcs-snapshot
  * Added truecolor patch to add a --truecolor option which forces true color
    even if no client is conncected (required by some skins)

 -- Tobias Grimm <etobi@debian.org>  Tue, 08 Sep 2015 00:18:47 +0200

vdr-plugin-xineliboutput (1.1.0+cvs20150211-4) unstable; urgency=medium

  * Now supporting the /etc/vdr/conf.d mechanism

 -- Tobias Grimm <etobi@debian.org>  Mon, 23 Mar 2015 23:30:11 +0100

vdr-plugin-xineliboutput (1.1.0+cvs20150211-3) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.2.0)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Feb 2015 12:40:02 +0100

vdr-plugin-xineliboutput (1.1.0+cvs20150211-2) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.1.10)
  * Standards-Version: 3.9.6
  * Added vdr-2.1.10-compat.patch from Lars Hanisch / yaVDR

 -- Tobias Grimm <etobi@debian.org>  Sat, 14 Feb 2015 13:41:18 +0100

vdr-plugin-xineliboutput (1.1.0+cvs20150211-1) unstable; urgency=medium

  * New Upstream Snapshot
  * Build-depend on vdr-dev >= 2.1.9

 -- Tobias Grimm <etobi@debian.org>  Wed, 11 Feb 2015 21:48:20 +0100

vdr-plugin-xineliboutput (1.1.0-2) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.0.6)
  * Standards-Version: 3.9.5

 -- Tobias Grimm <etobi@debian.org>  Sun, 26 Oct 2014 14:30:00 +0100
