=== debian/watch ===
version=3
opts="uversionmangle=s/_//g;s/(.*)((rc|pre)\d)/$1~$2/g" \
    http://qa.debian.org/watch/sf.php/xineliboutput/ vdr-xineliboutput-(.*)\.(?:tgz|tar\.bz2)
