## vdr-plugin-xineliboutput 2.0.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # See the main source file 'xineliboutput.c' for copyright information and
 # how to reach the author.
 #
-# $Id: Makefile,v 1.120 2015/04/22 08:23:48 phintuka Exp $
+# $Id$
 #
 
 # The official name of this plugin.
@@ -64,13 +64,13 @@
 
 # Use package data if installed...otherwise assume we're under the VDR source directory:
 PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." pkg-config --variable=$(1) vdr))
+BINDIR = $(call PKGCFG,bindir)
 LIBDIR = $(call PKGCFG,libdir)
 LOCDIR = $(call PKGCFG,locdir)
 PLGCFG = $(call PKGCFG,plgcfg)
 VIDEODIR = $(call PKGCFG,videodir)
 
 TMPDIR  ?= /tmp
-BINDIR  ?= /usr/bin
 
 INSTALL ?= install
 
@@ -80,6 +80,9 @@
 
 -include Make.config
 
+ifeq ($(strip $(BINDIR)),)
+  BINDIR = /usr/bin
+endif
 
 ###
 ### check for VDR
@@ -198,7 +201,7 @@
 ifeq ($(XINELIBOUTPUT_VDRPLUGIN), yes)
 OBJS = $(PLUGIN).o device.o frontend.o osd.o config.o menu.o setup_menu.o \
        menuitems.o media_player.o equalizer.o \
-       frontend_local.o frontend_svr.o \
+       frontend_local.o frontend_svr.o tools/avahi.o \
        tools/cxsocket.o tools/udp_pes_scheduler.o \
        tools/backgroundwriter.o tools/playlist.o tools/http.o \
        tools/vdrdiscovery.o tools/time_pts.o tools.o \
@@ -229,7 +232,7 @@
 OBJS_XINEINPUTVDR = xine_input_vdr.o xine/demux_xvdr.o \
                     xine/ts2es.o xine/demux_xvdr_tsdata.o \
                     xine/adjustable_scr.o xine/xvdr_metronom.o xine/osd_manager.o \
-                    tools/rle.o tools/ts.o tools/pes.o tools/mpeg.o tools/h264.o
+                    tools/rle.o tools/ts.o tools/pes.o tools/mpeg.o tools/h264.o tools/h265.o
 
 OBJS_XINE = $(OBJS_XINEINPUTVDR) xine_post_autocrop.o xine_post_swscale.o xine_post_audiochannel.o
 
@@ -343,6 +346,7 @@
 install-lib: $(TARGETS_VDR)
 ifeq ($(XINELIBOUTPUT_VDRPLUGIN), yes)
 	@echo Installing $^
+	@mkdir -p $(DESTDIR)$(LIBDIR)
 	install -D $^ $(DESTDIR)$(LIBDIR)/
 endif
 
@@ -408,4 +412,3 @@
 ifeq ($(XINELIBOUTPUT_FB), yes)
 	@echo Installing $(DESTDIR)$(BINDIR)/vdr-fbfe
 	@mkdir -p $(DESTDIR)$(BINDIR)
-	@-rm -rf $(DESTDIR)$(BINDIR)/vdr-fbfe
