=== debian/changelog ===
vdr-plugin-xineliboutput (2.0.0-1) unstable; urgency=medium

  * New upstream release (Closes: #872496)

 -- Tobias Grimm <etobi@debian.org>  Sat, 16 Sep 2017 08:54:16 +0200

vdr-plugin-xineliboutput (1.1.0+git20170131-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 2434b2a)
  * Updated upstream VCS location
  * Dropped fixe-segfault.patch - fixed upstream
  * Dropped Makfile-fixes.patch - fixed upstream
  * Dropped truecolor.diff - fixed upstream
  * Standards-Version: 3.9.8

 -- Tobias Grimm <etobi@debian.org>  Tue, 31 Jan 2017 23:59:29 +0100
