=== debian/control ===
--- 
+++ 
@@ -16,8 +16,9 @@
  libxinerama-dev,
  libxrender-dev,
  libvdpau-dev,
- freeglut3-dev
-Standards-Version: 3.9.6
+ freeglut3-dev,
+ libcec-dev
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/pkg-vdr-dvb/vdr-plugin-xineliboutput.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-xineliboutput.git
 Homepage: http://sourceforge.net/projects/xineliboutput
