## vdr-plugin-xineliboutput 2.1.0

=== Makefile ===
--- 
+++ 
@@ -107,6 +107,9 @@
         VDR_TREE = yes
     endif
 endif
+
+CFLAGS += -Wextra -Wno-unused-parameter
+CXXFLAGS += -Wextra -Wno-unused-parameter
 
 ### Allow user defined options to overwrite defaults:
 -include $(PLGCFG)
@@ -410,5 +413,3 @@
 	@$(INSTALL) -m 0644 $(XINEPOSTAUDIOCHANNEL) $(DESTDIR)$(XINEPLUGINDIR)/post/$(XINEPOSTAUDIOCHANNEL)
 endif
 ifeq ($(XINELIBOUTPUT_FB), yes)
-	@echo Installing $(DESTDIR)$(BINDIR)/vdr-fbfe
-	@mkdir -p $(DESTDIR)$(BINDIR)
