=== debian/changelog ===
vdr-plugin-xineliboutput (2.1.0-1) unstable; urgency=medium

  * New upstream version
  * Fixed libxine2-xvdr multiarch installation
  * Replaced priority extra with optional
  * Don't do a recursive chown on /var/lib/vdr/plugins/xineliboutput

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Apr 2018 20:11:15 +0200
