=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: vdr-plugin-xineliboutput
 Section: video
-Priority: extra
+Priority: optional
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>, Thomas Günther <tom@toms-cafe.de>
 Build-Depends: debhelper (>= 9), gettext, pkg-config, txt2man,
- vdr-dev (>= 2.2.0),
+ vdr-dev (>= 2.4.0),
  x11proto-core-dev,
  libxine2-dev,
  libavutil-dev,
@@ -18,9 +18,9 @@
  libvdpau-dev,
  freeglut3-dev,
  libcec-dev
-Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/pkg-vdr-dvb/vdr-plugin-xineliboutput.git
-Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-xineliboutput.git
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-xineliboutput.git
+Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-xineliboutput
 Homepage: http://sourceforge.net/projects/xineliboutput
 
 Package: vdr-plugin-xineliboutput
@@ -33,7 +33,7 @@
 Package: vdr-plugin-xineliboutput-dbg
 Architecture: any
 Section: debug
-Priority: extra
+Priority: optional
 Depends: vdr-plugin-xineliboutput (= ${binary:Version}), ${misc:Depends}
 Description: VDR plugin for Xine based sofdevice frontends
  This VDR plugin provides an audio, video and control stream, that several
@@ -51,7 +51,7 @@
 Package: libxineliboutput-fbfe-dbg
 Architecture: any
 Section: debug
-Priority: extra
+Priority: optional
 Depends: , ${misc:Depends}, libxineliboutput-fbfe (= ${binary:Version}), vdr-plugin-xineliboutput-dbg (= ${binary:Version}), libxine2-xvdr-dbg (= ${binary:Version})
 Description: Local framebuffer frontend for the xineliboutput plugin
  The xineliboutput vdr plugin requires this library to provide the built-in
@@ -69,7 +69,7 @@
 Package: libxineliboutput-sxfe-dbg
 Architecture: any
 Section: debug
-Priority: extra
+Priority: optional
 Depends: ${misc:Depends}, libxineliboutput-sxfe (= ${binary:Version}), vdr-plugin-xineliboutput-dbg (= ${binary:Version}), libxine2-xvdr-dbg (= ${binary:Version})
 Description: Local X-Server frontend for the xineliboutput plugin
  The xineliboutput vdr plugin requires this library to provide the built-in
@@ -87,7 +87,7 @@
 Package: xineliboutput-fbfe-dbg
 Architecture: any
 Section: debug
-Priority: extra
+Priority: optional
 Depends: ${misc:Depends}, xineliboutput-fbfe (= ${binary:Version}), libxine2-xvdr-dbg (= ${binary:Version})
 Description: Remote Framebuffer frontend for vdr-plugin-xineliboutput
  This frambuffer remote frontend plays back streams provided by
@@ -105,7 +105,7 @@
 Package: xineliboutput-sxfe-dbg
 Architecture: any
 Section: debug
-Priority: extra
+Priority: optional
 Depends: ${misc:Depends}, xineliboutput-sxfe (= ${binary:Version}), libxine2-xvdr-dbg (= ${binary:Version})
 Description: Remote X-Server frontend for vdr-plugin-xineliboutput
  This X/Xv/XvMc remote frontend plays back streams provided by
@@ -126,7 +126,7 @@
 Package: libxine2-xvdr-dbg
 Architecture: any
 Section: debug
-Priority: extra
+Priority: optional
 Depends: ${misc:Depends}, libxine2-xvdr (= ${binary:Version})
 Description: Xine input plugin for vdr-plugin-xineliboutput streams
  This plugin adds a new mrl "xvdr://" to Xine, which allows one to play back
