## vdr-plugin-xineliboutput 2.1.0+git20190720

=== debian/changelog ===
vdr-plugin-xineliboutput (2.1.0+git20190720-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 021d0fc)
  * Build-depend on vdr-dev >= 2.4.1

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Jul 2019 06:21:08 +0200

vdr-plugin-xineliboutput (2.1.0+git20190511-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 530a410)
  * Standards-Version: 4.3.0
  * Migration to automatically created debug symbol packages

 -- Tobias Grimm <etobi@debian.org>  Sat, 11 May 2019 16:39:13 +0200

vdr-plugin-xineliboutput (2.1.0+git20180701-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 97b7e78)

 -- Tobias Grimm <etobi@debian.org>  Sun, 01 Jul 2018 21:01:37 +0200
