## vdr-plugin-xineliboutput 2.1.0+git20191101

=== Makefile ===
--- 
+++ 
@@ -108,11 +108,23 @@
     endif
 endif
 
-CFLAGS += -Wextra -Wno-unused-parameter
+CFLAGS += -Wextra -Wno-unused-parameter -Wmissing-prototypes -Wimplicit-function-declaration -Wshadow
 CXXFLAGS += -Wextra -Wno-unused-parameter
 
 ### Allow user defined options to overwrite defaults:
 -include $(PLGCFG)
+
+#
+# Silent rules falback
+#
+ifndef Q
+ifdef VERBOSE
+Q =
+else
+Q = @
+endif
+export Q
+endif
 
 ###
 ### run configure script
@@ -138,8 +150,10 @@
 VDRPLUGIN            = libvdr-$(PLUGIN).so.$(APIVERSION)
 VDRPLUGIN_SXFE       = lib$(PLUGIN)-sxfe.so.$(VERSION)
 VDRPLUGIN_FBFE       = lib$(PLUGIN)-fbfe.so.$(VERSION)
+VDRPLUGIN_WLFE       = lib$(PLUGIN)-wlfe.so.$(VERSION)
 VDRSXFE              = vdr-sxfe
 VDRFBFE              = vdr-fbfe
+VDRWLFE              = vdr-wlfe
 XINEINPUTVDR         = xineplug_inp_xvdr.so
 XINEPOSTAUTOCROP     = xineplug_post_autocrop.so
 XINEPOSTSWSCALE      = xineplug_post_swscale.so
@@ -168,6 +182,12 @@
     TARGETS_FE += $(VDRFBFE)
     ifeq ($(XINELIBOUTPUT_VDRPLUGIN), yes)
         TARGETS_VDR += $(VDRPLUGIN_FBFE)
+    endif
+endif
+ifeq ($(XINELIBOUTPUT_WAYLAND), yes)
+    TARGETS_FE += $(VDRWLFE)
+    ifeq ($(XINELIBOUTPUT_VDRPLUGIN), yes)
+        TARGETS_VDR += $(VDRPLUGIN_WLFE)
     endif
 endif
 
@@ -195,6 +215,7 @@
   DEFINES += -DSTARTUP_IMAGE_FILE='"$(STARTUP_IMAGE_FILE)"'
 endif
 
+DEFINES += $(EXTRA_DEFINES)
 
 ###
 ### The object files (add further files here):
@@ -207,8 +228,9 @@
        frontend_local.o frontend_svr.o tools/avahi.o \
        tools/cxsocket.o tools/udp_pes_scheduler.o \
        tools/backgroundwriter.o tools/playlist.o tools/http.o \
-       tools/vdrdiscovery.o tools/time_pts.o tools.o \
-       tools/metainfo_menu.o logdefs.o tools/rle.o
+       tools/time_pts.o tools.o \
+       tools/metainfo_menu.o logdefs.o tools/rle.o \
+       tools/sys_cap.o tools/sap.o tools/sdp.o
 OBJS_MPG = black_720x576.o nosignal_720x576.o vdrlogo_720x576.o
 endif
 
@@ -225,6 +247,8 @@
 OBJS_SXFE    = xine_sxfe_frontend.o $(OBJS_FE)
 OBJS_FBFE_SO = xine_fbfe_frontend.o $(OBJS_FE_SO)
 OBJS_FBFE    = xine_fbfe_frontend.o $(OBJS_FE)
+OBJS_WLFE_SO = xine_wlfe_frontend.o $(OBJS_FE_SO)
+OBJS_WLFE    = xine_wlfe_frontend.o $(OBJS_FE)
 
 ifneq ($(HAVE_DBUS_GLIB_1), no)
 OBJS_SXFE    += tools/gnome_screensaver.o
@@ -235,7 +259,8 @@
 OBJS_XINEINPUTVDR = xine_input_vdr.o xine/demux_xvdr.o \
                     xine/ts2es.o xine/demux_xvdr_tsdata.o \
                     xine/adjustable_scr.o xine/xvdr_metronom.o xine/osd_manager.o \
-                    tools/rle.o tools/ts.o tools/pes.o tools/mpeg.o tools/h264.o tools/h265.o
+                    tools/rle.o tools/ts.o tools/pes.o tools/mpeg.o tools/h264.o tools/h265.o \
+                    tools/vdrdiscovery.o
 
 OBJS_XINE = $(OBJS_XINEINPUTVDR) xine_post_autocrop.o xine_post_swscale.o xine_post_audiochannel.o
 
@@ -244,7 +269,8 @@
 ###
 
 %.o: %.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $(CFLAGS_VDR) -o $@ $<
+	@echo CXX $@
+	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $(CFLAGS_VDR) -o $@ $<
 
 
 ###
@@ -255,7 +281,7 @@
 DEPFILE = .dependencies
 $(DEPFILE): Makefile config.mak
 	@rm -f $@
-	@for i in $(OBJS:%.o=%.c) $(OBJS_SXFE:%.o=%.c) $(OBJS_FBFE:%.o=%.c) $(OBJS_XINE:%.o=%.c) ; do \
+	@for i in $(OBJS:%.o=%.c) $(OBJS_SXFE:%.o=%.c) $(OBJS_FBFE:%.o=%.c) $(OBJS_WLFE:%.o=%.c) $(OBJS_XINE:%.o=%.c) ; do \
 	  $(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) -MT "`dirname $$i`/`basename $$i .c`.o" $$i >>$@ ; \
 	done
 
@@ -269,19 +295,27 @@
 ###
 
 mpg2c: mpg2c.c
-	$(CC) $(CFLAGS) $(LDFLAGS) mpg2c.c -o $@
+	@echo CCLD $@
+	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) mpg2c.c -o $@
 
 # data
 black_720x576.c: mpg2c black_720x576.mpg
-	@./mpg2c black black_720x576.mpg black_720x576.c
+	@echo GEN $@
+	$(Q)./mpg2c black black_720x576.mpg black_720x576.c
 nosignal_720x576.c: mpg2c nosignal_720x576.mpg
-	@./mpg2c nosignal nosignal_720x576.mpg nosignal_720x576.c
+	@echo GEN $@
+	$(Q)./mpg2c nosignal nosignal_720x576.mpg nosignal_720x576.c
 vdrlogo_720x576.c: mpg2c vdrlogo_720x576.mpg
-	@./mpg2c vdrlogo vdrlogo_720x576.mpg vdrlogo_720x576.c
+	@echo GEN $@
+	$(Q)./mpg2c vdrlogo vdrlogo_720x576.mpg vdrlogo_720x576.c
 
 # C code (xine plugins and frontends)
-$(sort $(OBJS_SXFE) $(OBJS_FBFE) $(OBJS_XINE)): %.o: %.c
-	$(CC) $(CFLAGS) -c $(DEFINES) $(INCLUDES) $(CFLAGS_X11) $(CFLAGS_AVUTIL) $(OPTFLAGS) -o $@ $<
+
+xine_input_vdr.o: nosignal_720x576.c
+
+$(sort $(OBJS_SXFE) $(OBJS_FBFE) $(OBJS_WLFE) $(OBJS_XINE)): %.o: %.c
+	@echo CC $@
+	$(Q)$(CC) $(CFLAGS) -c $(DEFINES) $(INCLUDES) $(CFLAGS_X11) $(CFLAGS_WAYLAND) $(CFLAGS_AVUTIL) $(OPTFLAGS) -o $@ $<
 
 ### Internationalization (I18N):
 PODIR     = po
@@ -292,13 +326,16 @@
 I18Npot   = $(PODIR)/$(PLUGIN).pot
 
 %.mo: %.po
-	msgfmt -c -o $@ $<
+	@echo MO $@
+	$(Q)msgfmt -c -o $@ $<
 
 $(I18Npot): $(wildcard *.c)
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<phintuka@users.sourceforge.net>' -o $@ $^
+	@echo GT $@
+	$(Q)xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<phintuka@users.sourceforge.net>' -o $@ `ls $^`
 
 %.po: $(I18Npot)
-	msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
+	@echo PO $@
+	$(Q)msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
 	@touch $@
 
 $(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
@@ -341,7 +378,8 @@
 #
 
 $(VDRPLUGIN): $(OBJS) $(OBJS_MPG)
-	$(CXX) $(CXXFLAGS) $(LDFLAGS_SO) $(LDFLAGS) -shared $(OBJS) $(OBJS_MPG) $(LIBS) $(LIBS_VDR) -o $@
+	@echo LD $@
+	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS_SO) $(LDFLAGS) -shared $(OBJS) $(OBJS_MPG) $(LIBS) $(LIBS_VDR) -o $@
 ifeq ($(VDR_TREE), yes)
 	$(INSTALL) $@ $(LIBDIR)/
 endif
@@ -360,56 +398,47 @@
 #
 
 $(VDRPLUGIN_SXFE): $(OBJS_SXFE_SO)
-	$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $(OBJS_SXFE_SO) $(LIBS_X11) $(LIBS_XINE) $(LIBS_JPEG) -o $@
+	@echo LD $@
+	$(Q)$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $(OBJS_SXFE_SO) $(LIBS_X11) $(LIBS_XINE) $(LIBS_JPEG) -o $@
 ifeq ($(VDR_TREE), yes)
 	$(INSTALL) $@ $(LIBDIR)/
 endif
 $(VDRSXFE): $(OBJS_SXFE)
-	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_SXFE) $(LIBS_X11) $(LIBS_XINE) $(LIBS_JPEG) $(LIBS_CEC) $(LIBS_PTHREAD) -o $@
-
-#
-# vdr-fbfe
-#
-
-$(VDRPLUGIN_FBFE): $(OBJS_FBFE_SO)
-	$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $(OBJS_FBFE_SO) $(LIBS_XINE) $(LIBS_JPEG) -o $@
+	@echo LD $@
+	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_SXFE) $(LIBS_X11) $(LIBS_XINE) $(LIBS_JPEG) $(LIBS_CEC) $(LIBS_PTHREAD) -o $@
+
+#
+# vdr-wlfe
+#
+
+$(VDRPLUGIN_WLFE): $(OBJS_WLFE_SO)
+	@echo LD $@
+	$(Q)$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $(OBJS_WLFE_SO) $(LIBS_WAYLAND) $(LIBS_XINE) $(LIBS_JPEG) -o $@
 ifeq ($(VDR_TREE), yes)
 	$(INSTALL) $@ $(LIBDIR)/
 endif
+$(VDRWLFE): $(OBJS_WLFE)
+	@echo LD $@
+	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_WLFE) $(LIBS_WAYLAND) $(LIBS_XINE) $(LIBS_JPEG) $(LIBS_CEC) $(LIBS_PTHREAD) -o $@
+
+#
+# vdr-fbfe
+#
+
+$(VDRPLUGIN_FBFE): $(OBJS_FBFE_SO)
+	@echo LD $@
+	$(Q)$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $(OBJS_FBFE_SO) $(LIBS_XINE) $(LIBS_JPEG) -o $@
+ifeq ($(VDR_TREE), yes)
+	$(INSTALL) $@ $(LIBDIR)/
+endif
 $(VDRFBFE): $(OBJS_FBFE)
-	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_FBFE) $(LIBS_XINE) $(LIBS_JPEG) $(LIBS_CEC) $(LIBS_PTHREAD) -o $@
+	@echo LD $@
+	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_FBFE) $(LIBS_XINE) $(LIBS_JPEG) $(LIBS_CEC) $(LIBS_PTHREAD) -o $@
 
 #
 # xine plugins
 #
 
 $(XINEINPUTVDR): $(OBJS_XINEINPUTVDR)
-	$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $(OBJS_XINEINPUTVDR) $(LIBS_XINE) $(LIBS_AVUTIL) $(LIBS_PTHREAD) -o $@
-$(XINEPOSTAUTOCROP): xine_post_autocrop.o
-	$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $< -o $@ $(LIBS_XINE)
-$(XINEPOSTSWSCALE): xine_post_swscale.o
-	$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $< -o $@ $(LIBS_XINE)
-$(XINEPOSTAUDIOCHANNEL): xine_post_audiochannel.o
-	$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $< -o $@ $(LIBS_XINE)
-
-#
-# install
-#
-
-install: all
-ifeq ($(XINELIBOUTPUT_XINEPLUGIN), yes)
-	@mkdir -p $(DESTDIR)$(XINEPLUGINDIR)/post
-	@echo Installing $(DESTDIR)$(XINEPLUGINDIR)/$(XINEINPUTVDR)
-	@-rm -rf $(DESTDIR)$(XINEPLUGINDIR)/$(XINEINPUTVDR)
-	@$(INSTALL) -m 0644 $(XINEINPUTVDR) $(DESTDIR)$(XINEPLUGINDIR)/$(XINEINPUTVDR)
-	@echo Installing $(DESTDIR)$(XINEPLUGINDIR)/post/$(XINEPOSTAUTOCROP)
-	@-rm -rf $(DESTDIR)$(XINEPLUGINDIR)/post/$(XINEPOSTAUTOCROP)
-	@$(INSTALL) -m 0644 $(XINEPOSTAUTOCROP) $(DESTDIR)$(XINEPLUGINDIR)/post/$(XINEPOSTAUTOCROP)
-	@echo Installing $(DESTDIR)$(XINEPLUGINDIR)/post/$(XINEPOSTSWSCALE)
-	@-rm -rf $(DESTDIR)$(XINEPLUGINDIR)/post/$(XINEPOSTSWSCALE)
-	@$(INSTALL) -m 0644 $(XINEPOSTSWSCALE) $(DESTDIR)$(XINEPLUGINDIR)/post/$(XINEPOSTSWSCALE)
-	@echo Installing $(DESTDIR)$(XINEPLUGINDIR)/post/$(XINEPOSTAUDIOCHANNEL)
-	@-rm -rf $(DESTDIR)$(XINEPLUGINDIR)/post/$(XINEPOSTAUDIOCHANNEL)
-	@$(INSTALL) -m 0644 $(XINEPOSTAUDIOCHANNEL) $(DESTDIR)$(XINEPLUGINDIR)/post/$(XINEPOSTAUDIOCHANNEL)
-endif
-ifeq ($(XINELIBOUTPUT_FB), yes)
+	@echo LD $@
+	$(Q)$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $(OBJS_XINEINPUTVDR) $(LIBS_XINE) $(LIBS_AVUTIL) $(LIBS_PTHREAD) -o $@
