=== debian/changelog ===
vdr-plugin-xineliboutput (2.1.0+git20191101-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 32a5ffc)
  * Standards-Version: 4.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 01 Nov 2019 15:36:57 +0100
