=== debian/rules ===
--- 
+++ 
@@ -29,12 +29,12 @@
 	install -m 644 -D debian/icon.svg debian/xineliboutput-sxfe/usr/share/icons/xineliboutput-fbfe.svg
 
 override_dh_strip:
-	dh_strip -pvdr-plugin-xineliboutput --dbg-package=vdr-plugin-xineliboutput-dbg
-	dh_strip -plibxineliboutput-fbfe --dbg-package=libxineliboutput-fbfe-dbg
-	dh_strip -plibxineliboutput-sxfe --dbg-package=libxineliboutput-sxfe-dbg
-	dh_strip -pxineliboutput-fbfe --dbg-package=xineliboutput-fbfe-dbg
-	dh_strip -pxineliboutput-sxfe --dbg-package=xineliboutput-sxfe-dbg
-	dh_strip -plibxine2-xvdr --dbg-package=libxine2-xvdr-dbg
+	dh_strip --dbgsym-migration='vdr-plugin-xineliboutput-dbg (<< 2.1.0+git20190511-1~)'
+	dh_strip --dbgsym-migration='libxineliboutput-fbfe-dbg (<< 2.1.0+git20190511-1~)'
+	dh_strip --dbgsym-migration='libxineliboutput-sxfe-dbg (<< 2.1.0+git20190511-1~)'
+	dh_strip --dbgsym-migration='xineliboutput-fbfe-dbg (<< 2.1.0+git20190511-1~)'
+	dh_strip --dbgsym-migration='xineliboutput-sxfe-dbg (<< 2.1.0+git20190511-1~)'
+	dh_strip --dbgsym-migration='libxine2-xvdr-dbg (<< 2.1.0+git20190511-1~)'
 
 get-vcs-snapshot:
 	sh debian/get-vcs-snapshot.sh
